Skip to main content
`Ctrl`+`K`

# MatISSetAllowRepeated

Set the flag to allow repeated entries in the local to global map

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatISSetAllowRepeated(Mat A, PetscBool flg)

Logically Collective

## Input Parameters

- A - the matrix

- flg - the boolean flag

## Notes

The default value is `PETSC_FALSE`. When called AFTER calling `MatSetLocalToGlobalMapping()` it will recreate the local matrices if `flg` is different from the previously set value. Specifically, when `flg` is true it will just recreate the local matrices, while if `flg` is false will assemble the local matrices summing up repeated entries.

## See Also

Matrices, `Mat`, `MatCreate()`, `MatCreateIS()`, `MatSetLocalToGlobalMapping()`, `MatISGetAllowRepeated()`

## Level

intermediate

## Location

src/mat/impls/is/matis.c

## Examples

src/ksp/ksp/tutorials/ex71.c

## Implementations

MatISSetAllowRepeated_IS() in src/mat/impls/is/matis.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages